## postgresql-q3c 1.5.0

=== Makefile ===
EXTENSION = q3c
EXTVERSION := $(shell grep default_version $(EXTENSION).control | \
		 sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
DOCS = README.md
OBJS = dump.o q3c.o q3c_poly.o q3cube.o
MODULE_big = q3c
DATA = $(wildcard scripts/*sql)
PG_CONFIG = pg_config
SHLIB_LINK += $(filter -lm, $(LIBS))
EXTRA_CLEAN = dump.c prepare prepare.o gen_data.o \
			results/join.out results/cone.out results/ellipse.out \
			results/version.out results/poly.out results/area.out \
			gen_data

OPT = -O3
OPT_LOW = -O2
#DEBUG = -g3 -ggdb -DQ3C_DEBUG
PG_CPPFLAGS = $(DEBUG) $(OPT) -D_GNU_SOURCE -D__STDC_FORMAT_MACROS -DQ3C_VERSION='"'$(EXTVERSION)'"'
CPPFLAGS = $(CPPFLAGS) -D$(Q3CVERSION)
MYBINLIBS = -lm
# I have to use this instead of PG_LIBS, because PG_LIBS brings a
# bunch of libraries which are often not installed

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

dump.c: prepare
	./prepare

prepare: prepare.o q3cube.o q3c_poly.o
	$(CC) prepare.o q3cube.o q3c_poly.o $(MYBINLIBS) -o $@
              
gen_data: gen_data.c
	$(CC) $< $(CPPFLAGS) $(MYBINLIBS) -o $@

test: gen_data all
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test_small (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"
	./gen_data 3 100000 | psql q3c_test -c "COPY test_small FROM STDIN WITH DELIMITER ' '"
	psql q3c_test -c 'create extension q3c'
	psql q3c_test -c 'CREATE INDEX q3c_idx ON test (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX q3c_idx_small ON test_small (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	psql q3c_test -c 'ANALYZE test_small'
	mkdir -p results
	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
	diff results/ang2ipix.out expected/ang2ipix.expected
	cat sql/cone.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
	diff results/ellipse.out expected/ellipse.expected
	cat sql/join.sql | psql q3c_test > results/join.out
	diff results/join.out expected/join.expected
	cat sql/poly.sql | psql q3c_test > results/poly.out
	diff results/poly.out expected/poly.expected
	cat sql/version.sql | psql q3c_test > results/version.out
	diff results/version.out expected/version.expected
	cat sql/area.sql | psql q3c_test > results/area.out
	diff results/area.out expected/area.expected
	dropdb q3c_test

=== debian/changelog ===
postgresql-q3c (1.5.0-3build1) bionic; urgency=medium

  * No-change rebuild against postgresql-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Nov 2017 11:54:48 -0400

postgresql-q3c (1.5.0-3) unstable; urgency=medium

  * Create a single package for all PostgreSQL versions
  * Rebuild against postgresql-10. Closes: #876788

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Sep 2017 21:37:30 +0200

postgresql-q3c (1.5.0-2) unstable; urgency=medium

  * Add Markus Nullmeier as Co-maintainer
  * Push Standards-Version to 4.1.0. No changes needed.
  * Add d/u/metadata
  * Fix short license name
  * Update regression tests. Fixes CI test failures on ppc64el+i386
  * Fix CI test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Sep 2017 09:02:30 +0200

postgresql-q3c (1.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #680222)

 -- Ole Streicher <olebole@debian.org>  Mon, 07 Aug 2017 14:13:00 +0200

=== debian/control ===
Source: postgresql-q3c
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
Build-Depends: debhelper (>= 9),
               postgresql-server-dev-all
Standards-Version: 4.1.0
Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-q3c.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-q3c.git

Package: postgresql-q3c
Architecture: any
Depends: ${postgresql:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${postgresql:Provides}
Description: PostgreSQL extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

SRCDIR=$(CURDIR)

MODULE_NAME=q3c

PG_DEPENDS=$(shell pg_buildext supported-versions | tac | sed s/^/postgresql-/)
PG_PROVIDES=$(shell pg_buildext supported-versions | tac | sed "s/^\(.*\)/postgresql-\1-$(MODULE_NAME)/")

override_dh_auto_build:
	+pg_buildext build $(SRCDIR) build-%v "$(CFLAGS)"

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) build-%v

override_dh_auto_install:
	+pg_buildext install $(SRCDIR) build-%v postgresql-$(MODULE_NAME)

override_dh_shlibdeps:
	dh_shlibdeps
	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/>> debian/postgresql-q3c.substvars
	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/>> debian/postgresql-q3c.substvars

override_dh_auto_test:
	true

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, gcc | c-compiler, libc6-dev
Tests: installcheck
Restrictions: allow-stderr

## postgresql-q3c 1.6.0

=== Makefile ===
--- 
+++ 
@@ -37,16 +37,27 @@
 	createdb q3c_test
 	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
 	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
+	psql q3c_test -c "CREATE TABLE test_pm0 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
+	psql q3c_test -c "CREATE TABLE test_pm1 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
 	psql q3c_test -c "CREATE TABLE test_small (ra double precision, dec double precision)"
 	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
 	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"
 	./gen_data 3 100000 | psql q3c_test -c "COPY test_small FROM STDIN WITH DELIMITER ' '"
+
+	./gen_data 4 1000000 --withpm --pmscale=0 --randomepoch | psql q3c_test -c "COPY test_pm0 FROM STDIN WITH DELIMITER ' '"
+	./gen_data 5 1000000 --withpm --pmscale=1000 --epoch=2015 | psql q3c_test -c "COPY test_pm1 FROM STDIN WITH DELIMITER ' '"
+
 	psql q3c_test -c 'create extension q3c'
+	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
+	psql q3c_test -c 'CREATE INdex ON test_pm0 (q3c_ang2ipix(ra,dec))'
+	psql q3c_test -c 'CREATE INDEX on test_pm1 (q3c_ang2ipix(ra,dec))'
 	psql q3c_test -c 'CREATE INDEX q3c_idx ON test (q3c_ang2ipix(ra,dec))'
-	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
+
 	psql q3c_test -c 'CREATE INDEX q3c_idx_small ON test_small (q3c_ang2ipix(ra,dec))'
 	psql q3c_test -c 'ANALYZE test'
 	psql q3c_test -c 'ANALYZE test1'
+	psql q3c_test -c 'ANALYZE test_pm0'
+	psql q3c_test -c 'ANALYZE test_pm1'
 	psql q3c_test -c 'ANALYZE test_small'
 	mkdir -p results
 	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
@@ -59,6 +70,10 @@
 	diff results/ellipse.out expected/ellipse.expected
 	cat sql/join.sql | psql q3c_test > results/join.out
 	diff results/join.out expected/join.expected
+	cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
+	diff results/join_pm1.out expected/join_pm1.expected
+	cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
+	diff results/join_pm2.out expected/join_pm2.expected
 	cat sql/poly.sql | psql q3c_test > results/poly.out
 	diff results/poly.out expected/poly.expected
 	cat sql/version.sql | psql q3c_test > results/version.out

=== debian/changelog ===
postgresql-q3c (1.6.0-1) unstable; urgency=low

  * New upstream version 1.6.0
  * Drop Update-the-regression-tests.patch: applied upstream
  * Push Standards-Version to 4.2.1. Change some URLs to https

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Nov 2018 17:51:23 +0100

postgresql-q3c (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Test-depend on build-essential instead of c-compiler. With PG11 depending
    on LLVM, the testsuite was preferring clang-7 over gcc, and while we
    should really be invoking "cc" instead of "gcc", that wouldn't fix the
    issue because "cc" is only provided by clang, not clang-7.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Oct 2018 11:38:44 +0200

postgresql-q3c (1.5.0-5) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:34:19 +0200

postgresql-q3c (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Fix Depends/Provides fields for more than two supported versions.
  * debian/tests/control: Depend on postgresql-all as the package itself does
    not pull in all required server versions.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 May 2018 09:39:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: postgresql-q3c
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
                postgresql-server-dev-all
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-q3c.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-q3c.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git
 
 Package: postgresql-q3c
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/>> debian/postgresql-q3c.substvars
-	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/>> debian/postgresql-q3c.substvars
+	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/g >> debian/postgresql-$(MODULE_NAME).substvars
+	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/g >> debian/postgresql-$(MODULE_NAME).substvars
 
 override_dh_auto_test:
 	true

=== debian/tests/control ===
Depends: @, postgresql-all, build-essential
Tests: installcheck
Restrictions: allow-stderr

## postgresql-q3c 1.8.0

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,8 @@
 	diff results/join_pm2.out expected/join_pm2.expected
 	cat sql/poly.sql | psql q3c_test > results/poly.out
 	diff results/poly.out expected/poly.expected
+	cat sql/poly1.sql | psql q3c_test > results/poly1.out
+	diff results/poly1.out expected/poly.expected
 	cat sql/version.sql | psql q3c_test > results/version.out
 	diff results/version.out expected/version.expected
 	cat sql/area.sql | psql q3c_test > results/area.out

=== debian/changelog ===
postgresql-q3c (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.0.
  * Add debian/gitlab-ci.yml.
  * Makefile: Add missing LDFLAGS.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jul 2019 19:43:33 +0200

## postgresql-q3c 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 EXTENSION = q3c
 EXTVERSION := $(shell grep default_version $(EXTENSION).control | \
 		 sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
+
+
 DOCS = README.md
 OBJS = dump.o q3c.o q3c_poly.o q3cube.o
 MODULE_big = q3c
@@ -17,21 +19,28 @@
 #DEBUG = -g3 -ggdb -DQ3C_DEBUG
 PG_CPPFLAGS = $(DEBUG) $(OPT) -D_GNU_SOURCE -D__STDC_FORMAT_MACROS -DQ3C_VERSION='"'$(EXTVERSION)'"'
 CPPFLAGS = $(CPPFLAGS) -D$(Q3CVERSION)
-MYBINLIBS = -lm
-# I have to use this instead of PG_LIBS, because PG_LIBS brings a
-# bunch of libraries which are often not installed
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
+PGVER := $(shell echo $(VERSION) | sed "s/^\([^\.]\+\)\..*/\1/" )
+PGVERNEW := $(shell if [ $(PGVER) -ge 12 ] ; then echo N ; else echo O ; fi )
+
+ifeq ($(PGVERNEW), N)
+	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
+	LIBS := $(filter-out -lpam -lxml2 -lxslt -lselinux -ledit, $(LIBS))
+	MYBINLIBS := $(LIBS) $(PG_LIBS) -lm
+else
+	MYBINLIBS := $(PG_LIBS) -lm
+endif
 
 dump.c: prepare
 	./prepare
 
 prepare: prepare.o q3cube.o q3c_poly.o
-	$(CC) prepare.o q3cube.o q3c_poly.o $(MYBINLIBS) -o $@
-              
+	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
+
 gen_data: gen_data.c
-	$(CC) $< $(CPPFLAGS) $(MYBINLIBS) -o $@
+	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
 
 test: gen_data all
 	createdb q3c_test

=== debian/changelog ===
postgresql-q3c (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version with PostgreSQL 12 support.
  * Rewrite rules to use "pg_buildext loop", the upstream makefile doesn't
    support VPATH builds and our workaround was actually buggy.
  * Use dh_gencontrol to set dpkg template variables.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 19:10:02 +0100

## postgresql-q3c 1.8.2

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,7 @@
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
-PGVER := $(shell echo $(VERSION) | sed "s/^\([^\.]\+\)\..*/\1/" )
-PGVERNEW := $(shell if [ $(PGVER) -ge 12 ] ; then echo N ; else echo O ; fi )
+PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )
 
 ifeq ($(PGVERNEW), N)
 	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)

=== debian/changelog ===
postgresql-q3c (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2020 13:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
                postgresql-server-dev-all
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MODULE_NAME=q3c

PG_DEPENDS=$(shell pg_buildext supported-versions | tac | sed -e 's/^/postgresql-/' -e 's/$$/|/g')
PG_PROVIDES=$(shell pg_buildext supported-versions | tac | sed "s/^\(.*\)/postgresql-\1-$(MODULE_NAME),/")

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-$(MODULE_NAME)

override_dh_auto_test:

override_dh_gencontrol:
	dh_gencontrol -- -V"postgresql:Depends=$(PG_DEPENDS)" -V"postgresql:Provides=$(PG_PROVIDES)"

%:
	dh $@

## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg20.04+1

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200

postgresql-q3c (2.0.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:46:22 +0200

postgresql-q3c (2.0.0-5) unstable; urgency=medium

  * Remove Conflitcs+Replaces: postgresql-pgsphere (Closes: #989731)

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Jun 2021 15:37:28 +0200

postgresql-q3c (2.0.0-4) unstable; urgency=medium

  * Add test-dependency on postgresql-common (>= 219~) for pg_buildext
    virtualenv. (Closes: #972046)

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 22:45:45 +0200

postgresql-q3c (2.0.0-3) unstable; urgency=medium

  * Testsuite: Skip the tests that are really slow.
  * Testsuite: Re-add dependency on build-essential that got lost.
  * Make gen_data compile without postgres.h.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 20:15:26 +0200

postgresql-q3c (2.0.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Migrate to standard PostgreSQL extension package layout with separate
    packages per PostgreSQL major version. (Closes: #962260)
  * DH 13.
  * debian/tests: Use pg_buildext virtualenv.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 22:14:56 +0200

postgresql-q3c (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Mar 2020 10:05:31 +0100

=== debian/control ===
Source: postgresql-q3c
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper (>= 12),
               postgresql-all (>= 219~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git

Package: postgresql-10-q3c
Architecture: any
Depends: postgresql-10,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 10 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

Package: postgresql-11-q3c
Architecture: any
Depends: postgresql-11,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 11 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

Package: postgresql-12-q3c
Architecture: any
Depends: postgresql-12,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 12 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

Package: postgresql-13-q3c
Architecture: any
Depends: postgresql-13,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 13 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

Package: postgresql-14-q3c
Architecture: any
Depends: postgresql-14,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 14 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg21.10+1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 OPT = -O3
 OPT_LOW = -O2
-#DEBUG = -g3 -ggdb -DQ3C_DEBUG
+#DEBUG = -O0 -g3 -ggdb -DQ3C_DEBUG
 PG_CPPFLAGS = $(DEBUG) $(OPT) -D_GNU_SOURCE -D__STDC_FORMAT_MACROS -DQ3C_VERSION='"'$(EXTVERSION)'"'
 CPPFLAGS = $(CPPFLAGS) -D$(Q3CVERSION)
 
@@ -24,13 +24,7 @@
 include $(PGXS)
 PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )
 
-ifeq ($(PGVERNEW), N)
-	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
-	LIBS := $(filter-out -lpam -lxml2 -lxslt -lselinux -ledit, $(LIBS))
-	MYBINLIBS := $(LIBS) $(PG_LIBS) -lm
-else
-	MYBINLIBS := $(PG_LIBS) -lm
-endif
+MYBINLIBS := -L$(shell $(PG_CONFIG) --pkglibdir) -lpgport -lm
 
 dump.c: prepare
 	./prepare
@@ -39,9 +33,9 @@
 	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
 
 gen_data: gen_data.c
-	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
+	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) -lm -o $@
 
-test: gen_data all
+test: gen_data
 	createdb q3c_test
 	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
 	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
@@ -55,7 +49,7 @@
 	./gen_data 4 1000000 --withpm --pmscale=0 --randomepoch | psql q3c_test -c "COPY test_pm0 FROM STDIN WITH DELIMITER ' '"
 	./gen_data 5 1000000 --withpm --pmscale=1000 --epoch=2015 | psql q3c_test -c "COPY test_pm1 FROM STDIN WITH DELIMITER ' '"
 
-	psql q3c_test -c 'create extension q3c'
+	psql q3c_test -c 'CREATE EXTENSION q3c'
 	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
 	psql q3c_test -c 'CREATE INdex ON test_pm0 (q3c_ang2ipix(ra,dec))'
 	psql q3c_test -c 'CREATE INDEX on test_pm1 (q3c_ang2ipix(ra,dec))'
@@ -70,24 +64,45 @@
 	mkdir -p results
 	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
 	diff results/ang2ipix.out expected/ang2ipix.expected
-	cat sql/cone.sql | psql q3c_test > results/cone.out
-	diff results/cone.out expected/cone.expected
+	# Debian: Skip the tests that are very slow (> 20s)
+	#cat sql/cone.sql | psql q3c_test > results/cone.out
+	#diff results/cone.out expected/cone.expected
 	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
 	diff results/cone.out expected/cone.expected
 	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
 	diff results/ellipse.out expected/ellipse.expected
-	cat sql/join.sql | psql q3c_test > results/join.out
-	diff results/join.out expected/join.expected
-	cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
-	diff results/join_pm1.out expected/join_pm1.expected
-	cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
-	diff results/join_pm2.out expected/join_pm2.expected
-	cat sql/poly.sql | psql q3c_test > results/poly.out
-	diff results/poly.out expected/poly.expected
-	cat sql/poly1.sql | psql q3c_test > results/poly1.out
-	diff results/poly1.out expected/poly.expected
+	#cat sql/join.sql | psql q3c_test > results/join.out
+	#diff results/join.out expected/join.expected
+	#cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
+	#diff results/join_pm1.out expected/join_pm1.expected
+	#cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
+	#diff results/join_pm2.out expected/join_pm2.expected
+	#cat sql/poly.sql | psql q3c_test > results/poly.out
+	#diff results/poly.out expected/poly.expected
+	#cat sql/poly1.sql | psql q3c_test > results/poly1.out
+	#diff results/poly1.out expected/poly.expected
 	cat sql/version.sql | psql q3c_test > results/version.out
 	diff results/version.out expected/version.expected
 	cat sql/area.sql | psql q3c_test > results/area.out
 	diff results/area.out expected/area.expected
 	dropdb q3c_test
+	createdb q3c_test
+	psql q3c_test -c 'CREATE EXTENSION q3c VERSION "1.6.0"'
+	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.7.0"'
+	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.8.0"'
+	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "2.0.0"'
+	dropdb q3c_test
+	createdb q3c_test
+	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
+	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
+	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
+	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"
+
+	psql q3c_test -c 'CREATE schema tests'
+	psql q3c_test -c 'CREATE EXTENSION q3c schema tests'
+	psql q3c_test -c 'set search_path to public,tests; CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
+	psql q3c_test -c 'ANALYZE test'
+	psql q3c_test -c 'ANALYZE test1'
+	cat sql/relocation.sql | psql q3c_test > results/relocation.out
+	diff results/relocation.out expected/relocation.expected
+	dropdb q3c_test

=== .pc/gen_data-no-postgres.h/Makefile ===
EXTENSION = q3c
EXTVERSION := $(shell grep default_version $(EXTENSION).control | \
		 sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")


DOCS = README.md
OBJS = dump.o q3c.o q3c_poly.o q3cube.o
MODULE_big = q3c
DATA = $(wildcard scripts/*sql)
PG_CONFIG = pg_config
SHLIB_LINK += $(filter -lm, $(LIBS))
EXTRA_CLEAN = dump.c prepare prepare.o gen_data.o \
			results/join.out results/cone.out results/ellipse.out \
			results/version.out results/poly.out results/area.out \
			gen_data

OPT = -O3
OPT_LOW = -O2
#DEBUG = -O0 -g3 -ggdb -DQ3C_DEBUG
PG_CPPFLAGS = $(DEBUG) $(OPT) -D_GNU_SOURCE -D__STDC_FORMAT_MACROS -DQ3C_VERSION='"'$(EXTVERSION)'"'
CPPFLAGS = $(CPPFLAGS) -D$(Q3CVERSION)

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )

MYBINLIBS := -L$(shell $(PG_CONFIG) --pkglibdir) -lpgport -lm

dump.c: prepare
	./prepare

prepare: prepare.o q3cube.o q3c_poly.o
	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@

gen_data: gen_data.c
	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@

test: gen_data
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test_pm0 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
	psql q3c_test -c "CREATE TABLE test_pm1 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
	psql q3c_test -c "CREATE TABLE test_small (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"
	./gen_data 3 100000 | psql q3c_test -c "COPY test_small FROM STDIN WITH DELIMITER ' '"

	./gen_data 4 1000000 --withpm --pmscale=0 --randomepoch | psql q3c_test -c "COPY test_pm0 FROM STDIN WITH DELIMITER ' '"
	./gen_data 5 1000000 --withpm --pmscale=1000 --epoch=2015 | psql q3c_test -c "COPY test_pm1 FROM STDIN WITH DELIMITER ' '"

	psql q3c_test -c 'CREATE EXTENSION q3c'
	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INdex ON test_pm0 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX on test_pm1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX q3c_idx ON test (q3c_ang2ipix(ra,dec))'

	psql q3c_test -c 'CREATE INDEX q3c_idx_small ON test_small (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	psql q3c_test -c 'ANALYZE test_pm0'
	psql q3c_test -c 'ANALYZE test_pm1'
	psql q3c_test -c 'ANALYZE test_small'
	mkdir -p results
	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
	diff results/ang2ipix.out expected/ang2ipix.expected
	# Debian: Skip the tests that are very slow (> 20s)
	#cat sql/cone.sql | psql q3c_test > results/cone.out
	#diff results/cone.out expected/cone.expected
	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
	diff results/ellipse.out expected/ellipse.expected
	#cat sql/join.sql | psql q3c_test > results/join.out
	#diff results/join.out expected/join.expected
	#cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
	#diff results/join_pm1.out expected/join_pm1.expected
	#cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
	#diff results/join_pm2.out expected/join_pm2.expected
	#cat sql/poly.sql | psql q3c_test > results/poly.out
	#diff results/poly.out expected/poly.expected
	#cat sql/poly1.sql | psql q3c_test > results/poly1.out
	#diff results/poly1.out expected/poly.expected
	cat sql/version.sql | psql q3c_test > results/version.out
	diff results/version.out expected/version.expected
	cat sql/area.sql | psql q3c_test > results/area.out
	diff results/area.out expected/area.expected
	dropdb q3c_test
	createdb q3c_test
	psql q3c_test -c 'CREATE EXTENSION q3c VERSION "1.6.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.7.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.8.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "2.0.0"'
	dropdb q3c_test
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"

	psql q3c_test -c 'CREATE schema tests'
	psql q3c_test -c 'CREATE EXTENSION q3c schema tests'
	psql q3c_test -c 'set search_path to public,tests; CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	cat sql/relocation.sql | psql q3c_test > results/relocation.out
	diff results/relocation.out expected/relocation.expected
	dropdb q3c_test

=== .pc/ldflags/Makefile ===
EXTENSION = q3c
EXTVERSION := $(shell grep default_version $(EXTENSION).control | \
		 sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")


DOCS = README.md
OBJS = dump.o q3c.o q3c_poly.o q3cube.o
MODULE_big = q3c
DATA = $(wildcard scripts/*sql)
PG_CONFIG = pg_config
SHLIB_LINK += $(filter -lm, $(LIBS))
EXTRA_CLEAN = dump.c prepare prepare.o gen_data.o \
			results/join.out results/cone.out results/ellipse.out \
			results/version.out results/poly.out results/area.out \
			gen_data

OPT = -O3
OPT_LOW = -O2
#DEBUG = -O0 -g3 -ggdb -DQ3C_DEBUG
PG_CPPFLAGS = $(DEBUG) $(OPT) -D_GNU_SOURCE -D__STDC_FORMAT_MACROS -DQ3C_VERSION='"'$(EXTVERSION)'"'
CPPFLAGS = $(CPPFLAGS) -D$(Q3CVERSION)

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )

ifeq ($(PGVERNEW), N)
	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
	LIBS := $(filter-out -lpam -lxml2 -lxslt -lselinux -ledit, $(LIBS))
	MYBINLIBS := $(LIBS) $(PG_LIBS) -lm
else
	MYBINLIBS := $(PG_LIBS) -lm
endif

dump.c: prepare
	./prepare

prepare: prepare.o q3cube.o q3c_poly.o
	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@

gen_data: gen_data.c
	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@

test: gen_data
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test_pm0 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
	psql q3c_test -c "CREATE TABLE test_pm1 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
	psql q3c_test -c "CREATE TABLE test_small (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"
	./gen_data 3 100000 | psql q3c_test -c "COPY test_small FROM STDIN WITH DELIMITER ' '"

	./gen_data 4 1000000 --withpm --pmscale=0 --randomepoch | psql q3c_test -c "COPY test_pm0 FROM STDIN WITH DELIMITER ' '"
	./gen_data 5 1000000 --withpm --pmscale=1000 --epoch=2015 | psql q3c_test -c "COPY test_pm1 FROM STDIN WITH DELIMITER ' '"

	psql q3c_test -c 'CREATE EXTENSION q3c'
	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INdex ON test_pm0 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX on test_pm1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX q3c_idx ON test (q3c_ang2ipix(ra,dec))'

	psql q3c_test -c 'CREATE INDEX q3c_idx_small ON test_small (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	psql q3c_test -c 'ANALYZE test_pm0'
	psql q3c_test -c 'ANALYZE test_pm1'
	psql q3c_test -c 'ANALYZE test_small'
	mkdir -p results
	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
	diff results/ang2ipix.out expected/ang2ipix.expected
	cat sql/cone.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
	diff results/ellipse.out expected/ellipse.expected
	cat sql/join.sql | psql q3c_test > results/join.out
	diff results/join.out expected/join.expected
	cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
	diff results/join_pm1.out expected/join_pm1.expected
	cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
	diff results/join_pm2.out expected/join_pm2.expected
	cat sql/poly.sql | psql q3c_test > results/poly.out
	diff results/poly.out expected/poly.expected
	cat sql/poly1.sql | psql q3c_test > results/poly1.out
	diff results/poly1.out expected/poly.expected
	cat sql/version.sql | psql q3c_test > results/version.out
	diff results/version.out expected/version.expected
	cat sql/area.sql | psql q3c_test > results/area.out
	diff results/area.out expected/area.expected
	dropdb q3c_test
	createdb q3c_test
	psql q3c_test -c 'CREATE EXTENSION q3c VERSION "1.6.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.7.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.8.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "2.0.0"'
	dropdb q3c_test
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"

	psql q3c_test -c 'CREATE schema tests'
	psql q3c_test -c 'CREATE EXTENSION q3c schema tests'
	psql q3c_test -c 'set search_path to public,tests; CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	cat sql/relocation.sql | psql q3c_test > results/relocation.out
	diff results/relocation.out expected/relocation.expected
	dropdb q3c_test

=== .pc/skip-slow-tests/Makefile ===
EXTENSION = q3c
EXTVERSION := $(shell grep default_version $(EXTENSION).control | \
		 sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")


DOCS = README.md
OBJS = dump.o q3c.o q3c_poly.o q3cube.o
MODULE_big = q3c
DATA = $(wildcard scripts/*sql)
PG_CONFIG = pg_config
SHLIB_LINK += $(filter -lm, $(LIBS))
EXTRA_CLEAN = dump.c prepare prepare.o gen_data.o \
			results/join.out results/cone.out results/ellipse.out \
			results/version.out results/poly.out results/area.out \
			gen_data

OPT = -O3
OPT_LOW = -O2
#DEBUG = -O0 -g3 -ggdb -DQ3C_DEBUG
PG_CPPFLAGS = $(DEBUG) $(OPT) -D_GNU_SOURCE -D__STDC_FORMAT_MACROS -DQ3C_VERSION='"'$(EXTVERSION)'"'
CPPFLAGS = $(CPPFLAGS) -D$(Q3CVERSION)

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )

MYBINLIBS := -L$(shell $(PG_CONFIG) --pkglibdir) -lpgport -lm

dump.c: prepare
	./prepare

prepare: prepare.o q3cube.o q3c_poly.o
	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@

gen_data: gen_data.c
	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@

test: gen_data
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test_pm0 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
	psql q3c_test -c "CREATE TABLE test_pm1 (ra double precision, dec double precision, pmra real, pmdec real, epoch real)"
	psql q3c_test -c "CREATE TABLE test_small (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"
	./gen_data 3 100000 | psql q3c_test -c "COPY test_small FROM STDIN WITH DELIMITER ' '"

	./gen_data 4 1000000 --withpm --pmscale=0 --randomepoch | psql q3c_test -c "COPY test_pm0 FROM STDIN WITH DELIMITER ' '"
	./gen_data 5 1000000 --withpm --pmscale=1000 --epoch=2015 | psql q3c_test -c "COPY test_pm1 FROM STDIN WITH DELIMITER ' '"

	psql q3c_test -c 'CREATE EXTENSION q3c'
	psql q3c_test -c 'CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INdex ON test_pm0 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX on test_pm1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'CREATE INDEX q3c_idx ON test (q3c_ang2ipix(ra,dec))'

	psql q3c_test -c 'CREATE INDEX q3c_idx_small ON test_small (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	psql q3c_test -c 'ANALYZE test_pm0'
	psql q3c_test -c 'ANALYZE test_pm1'
	psql q3c_test -c 'ANALYZE test_small'
	mkdir -p results
	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
	diff results/ang2ipix.out expected/ang2ipix.expected
	cat sql/cone.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
	diff results/cone.out expected/cone.expected
	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
	diff results/ellipse.out expected/ellipse.expected
	cat sql/join.sql | psql q3c_test > results/join.out
	diff results/join.out expected/join.expected
	cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
	diff results/join_pm1.out expected/join_pm1.expected
	cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
	diff results/join_pm2.out expected/join_pm2.expected
	cat sql/poly.sql | psql q3c_test > results/poly.out
	diff results/poly.out expected/poly.expected
	cat sql/poly1.sql | psql q3c_test > results/poly1.out
	diff results/poly1.out expected/poly.expected
	cat sql/version.sql | psql q3c_test > results/version.out
	diff results/version.out expected/version.expected
	cat sql/area.sql | psql q3c_test > results/area.out
	diff results/area.out expected/area.expected
	dropdb q3c_test
	createdb q3c_test
	psql q3c_test -c 'CREATE EXTENSION q3c VERSION "1.6.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.7.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "1.8.0"'
	psql q3c_test -c 'ALTER EXTENSION q3c UPDATE TO "2.0.0"'
	dropdb q3c_test
	createdb q3c_test
	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
	./gen_data 1 1000000 | psql q3c_test -c "COPY test FROM STDIN WITH DELIMITER ' '"
	./gen_data 2 1000000 | psql q3c_test -c "COPY test1 FROM STDIN WITH DELIMITER ' '"

	psql q3c_test -c 'CREATE schema tests'
	psql q3c_test -c 'CREATE EXTENSION q3c schema tests'
	psql q3c_test -c 'set search_path to public,tests; CREATE INDEX q3c_idx1 ON test1 (q3c_ang2ipix(ra,dec))'
	psql q3c_test -c 'ANALYZE test'
	psql q3c_test -c 'ANALYZE test1'
	cat sql/relocation.sql | psql q3c_test > results/relocation.out
	diff results/relocation.out expected/relocation.expected
	dropdb q3c_test

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                postgresql-all (>= 219~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg22.04+1

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200

## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg110+1

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200

## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg+1

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200

## postgresql-q3c 2.0.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,13 @@
 include $(PGXS)
 PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )
 
-MYBINLIBS := -L$(shell $(PG_CONFIG) --pkglibdir) -lpgport -lm
+ifeq ($(PGVERNEW), N)
+	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
+	LIBS := $(filter-out -lpam -lxml2 -lxslt -lselinux -ledit, $(LIBS))
+	MYBINLIBS := $(LIBS) $(PG_LIBS) -lm
+else
+	MYBINLIBS := $(PG_LIBS) -lm
+endif
 
 dump.c: prepare
 	./prepare
@@ -33,9 +39,9 @@
 	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
 
 gen_data: gen_data.c
-	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) -lm -o $@
+	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
 
-test: gen_data
+test: gen_data all
 	createdb q3c_test
 	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
 	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
@@ -64,23 +70,22 @@
 	mkdir -p results
 	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
 	diff results/ang2ipix.out expected/ang2ipix.expected
-	# Debian: Skip the tests that are very slow (> 20s)
-	#cat sql/cone.sql | psql q3c_test > results/cone.out
-	#diff results/cone.out expected/cone.expected
+	cat sql/cone.sql | psql q3c_test > results/cone.out
+	diff results/cone.out expected/cone.expected
 	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
 	diff results/cone.out expected/cone.expected
 	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
 	diff results/ellipse.out expected/ellipse.expected
-	#cat sql/join.sql | psql q3c_test > results/join.out
-	#diff results/join.out expected/join.expected
-	#cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
-	#diff results/join_pm1.out expected/join_pm1.expected
-	#cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
-	#diff results/join_pm2.out expected/join_pm2.expected
-	#cat sql/poly.sql | psql q3c_test > results/poly.out
-	#diff results/poly.out expected/poly.expected
-	#cat sql/poly1.sql | psql q3c_test > results/poly1.out
-	#diff results/poly1.out expected/poly.expected
+	cat sql/join.sql | psql q3c_test > results/join.out
+	diff results/join.out expected/join.expected
+	cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
+	diff results/join_pm1.out expected/join_pm1.expected
+	cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
+	diff results/join_pm2.out expected/join_pm2.expected
+	cat sql/poly.sql | psql q3c_test > results/poly.out
+	diff results/poly.out expected/poly.expected
+	cat sql/poly1.sql | psql q3c_test > results/poly1.out
+	diff results/poly1.out expected/poly.expected
 	cat sql/version.sql | psql q3c_test > results/version.out
 	diff results/version.out expected/version.expected
 	cat sql/area.sql | psql q3c_test > results/area.out

=== debian/control ===
Source: postgresql-q3c
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13),
               postgresql-all (>= 219~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git

Package: postgresql-14-q3c
Architecture: any
Depends: postgresql-14,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 14 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.

=== debian/tests/control ===
Depends: @, build-essential, postgresql-common (>= 219~)
Tests: installcheck
Restrictions: allow-stderr
